/* Chris Guirl
 * CPSC 416 Assignment 2
 * singleton.h
 * This file describes a class to keep track of the real (wall clock) time in the game.
 */

#ifndef _SINGLETON_H
#define _SINGLETON_H

template<class t>
class Singleton
{
public:
	static t* get_instance()
	{
		static t* instance;
		if( !instance ) instance = new t();
		return instance;
	}
private:
	Singleton() { }
};

#endif // _SINGLETON_H
